Package twisted :: Package web :: Module soap :: Class Proxy

[frames | no frames]

## Class Proxy

A Proxy for making remote SOAP calls.

Pass the URL of the remote SOAP server to the constructor.

Use proxy.callRemote('foobar', 1, 2) to call remote method 'foobar' with args 1 and 2, proxy.callRemote('foobar', x=1) will call foobar with named argument 'x'.

Method Summary
| `__init__(self, url, namespace, header)`
| `_cbGotResult(self, result)`
| `callRemote(self, method, *args, **kwargs)`

Generated by Epydoc 2.0 on Sat May 15 20:08:22 2004 | http://epydoc.sf.net